NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Types | Public Member Functions | List of all members
NXOpen::CAE::SmoothOptResultsBuilder Class Reference

This builder is meant for optimization results related to material density. More...

Inheritance diagram for NXOpen::CAE::SmoothOptResultsBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AdditionalSmoothingType { AdditionalSmoothingTypeNone, AdditionalSmoothingTypeLaplace }
 Source mesh type. More...
 

Public Member Functions

NXOpen::CAE::SmoothOptResultsBuilder::AdditionalSmoothingType AdditionalSmoothingOption ()
 Returns the additonal smoothing option
Created in NX12.0.0. More...
 
bool AutomaticDisplayOption ()
 Returns the automatic display option
Created in NX12.0.0. More...
 
void CreateVerificationSolution ()
 Create verification solution
Created in NX12.0.0. More...
 
void DisplayUpdate ()
 Display update
Created in NX12.0.0. More...
 
void Export ()
 Export model files
Created in NX12.0.0. More...
 
bool GenerateBdf ()
 Returns the generate bdf
Created in NX12.0.0. More...
 
bool GenerateDensityCsv ()
 Returns the generate density csv
Created in NX12.0.0. More...
 
bool GenerateStl ()
 Returns the generate stl
Created in NX12.0.0. More...
 
std::vector< double > GetLatticeAreaColor ()
 Returns the lattice area color. More...
 
std::vector< double > GetSolidAreaColor ()
 Returns the solid area color. More...
 
int Iteration ()
 Returns the iteration
Created in NX12.0.0. More...
 
int LoadCase ()
 Returns the load case
Created in NX12.0.0. More...
 
double LowerBoundLatticeArea ()
 Returns the lower bound lattice area
Created in NX12.0.0. More...
 
double LowerBoundSolidArea ()
 Returns the lower bound solid area
Created in NX12.0.0. More...
 
NXOpen::CAE::ResultResult ()
 Returns the result
Created in NX12.0.0. More...
 
void SetAdditionalSmoothingOption (NXOpen::CAE::SmoothOptResultsBuilder::AdditionalSmoothingType sourceMeshOption)
 Sets the additonal smoothing option
Created in NX12.0.0. More...
 
void SetAutomaticDisplayOption (bool automaticDisplayOption)
 Sets the automatic display option
Created in NX12.0.0. More...
 
void SetGenerateBdf (bool generateBdf)
 Sets the generate bdf
Created in NX12.0.0. More...
 
void SetGenerateDensityCsv (bool generateDensityCsv)
 Sets the generate density csv
Created in NX12.0.0. More...
 
void SetGenerateStl (bool generateStl)
 Sets the generate stl
Created in NX12.0.0. More...
 
void SetIteration (int iIteration)
 Sets the iteration
Created in NX12.0.0. More...
 
void SetLatticeAreaColor (const std::vector< double > &latticeAreaColor)
 Sets the lattice area color
Created in NX12.0.0. More...
 
void SetLoadCase (int iLoadCaseNumber)
 Sets the load case
Created in NX12.0.0. More...
 
void SetLowerBoundLatticeArea (double lowerBoundLatticeArea)
 Sets the lower bound lattice area
Created in NX12.0.0. More...
 
void SetLowerBoundSolidArea (double lowerBoundSolidArea)
 Sets the lower bound solid area
Created in NX12.0.0. More...
 
void SetResult (NXOpen::CAE::Result *result)
 Sets the result
Created in NX12.0.0. More...
 
void SetSmoothDisplayOption (bool smoothDisplayOption)
 Sets the source mesh option
Created in NX12.0.0. More...
 
void SetSmoothLevel (double smoothLevel)
 Sets the smooth level
Created in NX12.0.0. More...
 
void SetSolidAreaColor (const std::vector< double > &solidAreaColor)
 Sets the solid area color
Created in NX12.0.0. More...
 
void SetSolution (NXOpen::CAE::SimSolution *solution)
 Sets the solution
Created in NX12.0.0. More...
 
void SetViewPortIndex (int viewPortIndex)
 Sets the view port index
Created in NX12.0.0. More...
 
bool SmoothDisplayOption ()
 Returns the source mesh option
Created in NX12.0.0. More...
 
double SmoothLevel ()
 Returns the smooth level
Created in NX12.0.0. More...
 
NXOpen::CAE::SimSolutionSolution ()
 Returns the solution
Created in NX12.0.0. More...
 
int ViewPortIndex ()
 Returns the view port index
Created in NX12.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This builder is meant for optimization results related to material density.

User can display and export results using this builder
To create a new instance of this class, use NXOpen::CAE::SimSimulation::SmoothOptResultsCreateBuilder
Default values.

Property Value

AdditionalSmoothingOption

None

AutomaticDisplayOption

1

GenerateBdf

1

GenerateDensityCsv

0

GenerateStl

1

LowerBoundLatticeArea

0.1

LowerBoundSolidArea

0.3

SmoothDisplayOption

0

SmoothLevel

0.25


Created in NX12.0.0.

Member Enumeration Documentation

Source mesh type.

Enumerator
AdditionalSmoothingTypeNone 

none

AdditionalSmoothingTypeLaplace 

laplace

Member Function Documentation

NXOpen::CAE::SmoothOptResultsBuilder::AdditionalSmoothingType NXOpen::CAE::SmoothOptResultsBuilder::AdditionalSmoothingOption ( )

Returns the additonal smoothing option
Created in NX12.0.0.



License requirements : None

bool NXOpen::CAE::SmoothOptResultsBuilder::AutomaticDisplayOption ( )

Returns the automatic display option
Created in NX12.0.0.



License requirements : None

void NXOpen::CAE::SmoothOptResultsBuilder::CreateVerificationSolution ( )

Create verification solution
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

void NXOpen::CAE::SmoothOptResultsBuilder::DisplayUpdate ( )

Display update
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

void NXOpen::CAE::SmoothOptResultsBuilder::Export ( )

Export model files
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

bool NXOpen::CAE::SmoothOptResultsBuilder::GenerateBdf ( )

Returns the generate bdf
Created in NX12.0.0.



License requirements : None

bool NXOpen::CAE::SmoothOptResultsBuilder::GenerateDensityCsv ( )

Returns the generate density csv
Created in NX12.0.0.



License requirements : None

bool NXOpen::CAE::SmoothOptResultsBuilder::GenerateStl ( )

Returns the generate stl
Created in NX12.0.0.



License requirements : None

std::vector<double> NXOpen::CAE::SmoothOptResultsBuilder::GetLatticeAreaColor ( )

Returns the lattice area color.

Returns
Array of 3 RGB values, each between 0 and 1
Created in NX12.0.0.

License requirements : None
std::vector<double> NXOpen::CAE::SmoothOptResultsBuilder::GetSolidAreaColor ( )

Returns the solid area color.

Returns
Array of 3 RGB values, each between 0 and 1
Created in NX12.0.0.

License requirements : None
int NXOpen::CAE::SmoothOptResultsBuilder::Iteration ( )

Returns the iteration
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::SmoothOptResultsBuilder::LoadCase ( )

Returns the load case
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

double NXOpen::CAE::SmoothOptResultsBuilder::LowerBoundLatticeArea ( )

Returns the lower bound lattice area
Created in NX12.0.0.



License requirements : None

double NXOpen::CAE::SmoothOptResultsBuilder::LowerBoundSolidArea ( )

Returns the lower bound solid area
Created in NX12.0.0.



License requirements : None

NXOpen::CAE::Result* NXOpen::CAE::SmoothOptResultsBuilder::Result ( )

Returns the result
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SmoothOptResultsBuilder::SetAdditionalSmoothingOption ( NXOpen::CAE::SmoothOptResultsBuilder::AdditionalSmoothingType  sourceMeshOption)

Sets the additonal smoothing option
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
sourceMeshOptionsourcemeshoption
void NXOpen::CAE::SmoothOptResultsBuilder::SetAutomaticDisplayOption ( bool  automaticDisplayOption)

Sets the automatic display option
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
automaticDisplayOptionautomaticdisplayoption
void NXOpen::CAE::SmoothOptResultsBuilder::SetGenerateBdf ( bool  generateBdf)

Sets the generate bdf
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
generateBdfgeneratebdf
void NXOpen::CAE::SmoothOptResultsBuilder::SetGenerateDensityCsv ( bool  generateDensityCsv)

Sets the generate density csv
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
generateDensityCsvgeneratedensitycsv
void NXOpen::CAE::SmoothOptResultsBuilder::SetGenerateStl ( bool  generateStl)

Sets the generate stl
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
generateStlgeneratestl
void NXOpen::CAE::SmoothOptResultsBuilder::SetIteration ( int  iIteration)

Sets the iteration
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
iIterationiiteration
void NXOpen::CAE::SmoothOptResultsBuilder::SetLatticeAreaColor ( const std::vector< double > &  latticeAreaColor)

Sets the lattice area color
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
latticeAreaColorArray of 3 RGB values, each between 0 and 1
void NXOpen::CAE::SmoothOptResultsBuilder::SetLoadCase ( int  iLoadCaseNumber)

Sets the load case
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
iLoadCaseNumberiloadcasenumber
void NXOpen::CAE::SmoothOptResultsBuilder::SetLowerBoundLatticeArea ( double  lowerBoundLatticeArea)

Sets the lower bound lattice area
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
lowerBoundLatticeArealowerboundlatticearea
void NXOpen::CAE::SmoothOptResultsBuilder::SetLowerBoundSolidArea ( double  lowerBoundSolidArea)

Sets the lower bound solid area
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
lowerBoundSolidArealowerboundsolidarea
void NXOpen::CAE::SmoothOptResultsBuilder::SetResult ( NXOpen::CAE::Result result)

Sets the result
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
resultresult
void NXOpen::CAE::SmoothOptResultsBuilder::SetSmoothDisplayOption ( bool  smoothDisplayOption)

Sets the source mesh option
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
smoothDisplayOptionsmoothdisplayoption
void NXOpen::CAE::SmoothOptResultsBuilder::SetSmoothLevel ( double  smoothLevel)

Sets the smooth level
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
smoothLevelsmoothlevel
void NXOpen::CAE::SmoothOptResultsBuilder::SetSolidAreaColor ( const std::vector< double > &  solidAreaColor)

Sets the solid area color
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
solidAreaColorArray of 3 RGB values, each between 0 and 1
void NXOpen::CAE::SmoothOptResultsBuilder::SetSolution ( NXOpen::CAE::SimSolution solution)

Sets the solution
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
solutionsolution
void NXOpen::CAE::SmoothOptResultsBuilder::SetViewPortIndex ( int  viewPortIndex)

Sets the view port index
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
viewPortIndexviewportindex
bool NXOpen::CAE::SmoothOptResultsBuilder::SmoothDisplayOption ( )

Returns the source mesh option
Created in NX12.0.0.



License requirements : None

double NXOpen::CAE::SmoothOptResultsBuilder::SmoothLevel ( )

Returns the smooth level
Created in NX12.0.0.



License requirements : None

NXOpen::CAE::SimSolution* NXOpen::CAE::SmoothOptResultsBuilder::Solution ( )

Returns the solution
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::SmoothOptResultsBuilder::ViewPortIndex ( )

Returns the view port index
Created in NX12.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.